<?php

$stmt="SELECT COUNT(*) AS darab FROM kk_tag WHERE (hirlevel='1' OR hirlevel='3') AND jovahagyva='1'";

$mydb = new db();
$result=$mydb->query($stmt);

while($row = mysql_fetch_object($result)){
	$darab1=$row->darab;
}

printf("Eddig %s tag iratkozott fel a hírlevélre.<BR>", $darab1);

$stmt="SELECT COUNT(*) AS darab FROM kk_ajanlat WHERE elkuldve='2' AND jovahagyva='1'";

$mydb = new db();
$result=$mydb->query($stmt);

while($row = mysql_fetch_object($result)){
	$darab2=$row->darab;
}

//HALMAZTAG e
$stmt="SELECT * FROM kk_tag WHERE (hirlevel='3') AND jovahagyva='1'";

$mydb = new db();
$result=$mydb->query($stmt);
$harmastag=0;
while($row = mysql_fetch_object($result)){
	$mvhely1=$row->megye;
	$mvhely2=$row->megye2;
	$mvhely3=$row->megye3;
	$kat1=$row->kategoria_1;
	$kat2=$row->kategoria_2;
	$kat3=$row->kategoria_3;
	$kat4=$row->kategoria_4;
	$kat5=$row->kategoria_5;
	$kat6=$row->kategoria_6;
	$kat7=$row->kategoria_7;
	$kat8=$row->kategoria_8;
	$kat9=$row->kategoria_9;
	$kat10=$row->kategoria_10;
	$kat11=$row->kategoria_11;
	$munkavegzes_hely=$row->munkavegzes_hely;
	$bizonylat_atadas=$row->bizonylat_atadas;
	$where=" AND munkahely='$munkavegzes_hely' AND bizonylat_atadas='$bizonylat_atadas' ";
	$whereh="";
	$wherek="";
	if ($mvhely1)	$whereh.="(honnan_1='$mvhely1' OR honnan_2='$mvhely1' OR honnan_3='$mvhely1')";
	if ($mvhely2)	$whereh.=" OR (honnan_1='$mvhely2' OR honnan_2='$mvhely2' OR honnan_3='$mvhely2')";
	if ($mvhely3)	$whereh.=" OR (honnan_1='$mvhely3' OR honnan_2='$mvhely3' OR honnan_3='$mvhely3')";
	if (strlen(trim($whereh)))	$where.=" AND (".$whereh.") ";
	if ($kat1)	$wherek.="(kategoria_1='$kat1' OR kategoria_2='$kat1' OR kategoria_3='$kat1')";
	if ($kat2)	$wherek.=" OR (kategoria_1='$kat2' OR kategoria_2='$kat2' OR kategoria_3='$kat2')";
	if ($kat3)	$wherek.=" OR (kategoria_1='$kat3' OR kategoria_2='$kat3' OR kategoria_3='$kat3')";
	if ($kat4)	$wherek.=" OR (kategoria_1='$kat4' OR kategoria_2='$kat4' OR kategoria_3='$kat4')";
	if ($kat5)	$wherek.=" OR (kategoria_1='$kat5' OR kategoria_2='$kat5' OR kategoria_3='$kat5')";
	if ($kat6)	$wherek.=" OR (kategoria_1='$kat6' OR kategoria_2='$kat6' OR kategoria_3='$kat6')";
	if ($kat7)	$wherek.=" OR (kategoria_1='$kat7' OR kategoria_2='$kat7' OR kategoria_3='$kat7')";
	if ($kat8)	$wherek.=" OR (kategoria_1='$kat8' OR kategoria_2='$kat8' OR kategoria_3='$kat8')";
	if ($kat9)	$wherek.=" OR (kategoria_1='$kat9' OR kategoria_2='$kat9' OR kategoria_3='$kat9')";
	if ($kat10)	$wherek.=" OR (kategoria_1='$kat10' OR kategoria_2='$kat10' OR kategoria_3='$kat10')";
	if ($kat11)	$wherek.=" OR (kategoria_1='$kat11' OR kategoria_2='$kat11' OR kategoria_3='$kat11')";
	if (strlen( trim( $wherek )))	$where.=" AND (".$wherek.") ";
	$stmt1="SELECT COUNT(*) AS darab3 FROM kk_ajanlat WHERE elkuldve='2' AND jovahagyva='1' $where";
	
	$mydb1 = new db();
	$result1=$mydb1->query($stmt1);
	
	while($row1 = mysql_fetch_object($result1)){
		$darab3=$row1->darab3;
	}
	if ($darab3==0)	$harmastag=$harmastag+$darab2;
}



printf("%s új ajánlat vár elküldésre.<BR>", $darab2);
printf("Most %s üzenetet küldhetsz el.", ($darab2*$darab1)-$harmastag);

if($darab2<>0){
	printf("
	<FORM NAME=\"send\" METHOD=POST ACTION=\"send_hirlevel.php\">
	<INPUT TYPE=\"checkbox\" NAME=\"teszt\" CHECKED>&nbsp;Teszt mód<BR>
	<INPUT TYPE=\"submit\" VALUE=\"Igen, elküldöm a leveleket!\">
	</FORM>
	");
}

printf("<P><B>Újraküldés - külön-külön</B></P>
<FORM NAME=\"resend\" METHOD=POST ACTION=\"send_hirlevel.php\">
<INPUT TYPE=\"text\" NAME=\"resend\"><BR>
<INPUT TYPE=\"submit\" VALUE=\"Igen, újraküldöm az ajánlatokat!\">
</FORM>
");

printf("<P><B>Újraküldés - egyben</B></P>
<FORM NAME=\"resend\" METHOD=POST ACTION=\"send_hirlevel_uj.php\">
<INPUT TYPE=\"text\" NAME=\"resend\"><BR>
<INPUT TYPE=\"submit\" VALUE=\"Igen, újraküldöm az ajánlatokat, egy levélben!\">
</FORM>
");

?>
